Puppy Linux Discussion Forum Forum Index Puppy Linux Discussion Forum
Puppy HOME page : puppylinux.com
"THE" alternative forum : puppylinux.info
 
 FAQFAQ   SearchSearch   MemberlistMemberlist   UsergroupsUsergroups   RegisterRegister 
 ProfileProfile   Log in to check your private messagesLog in to check your private messages   Log inLog in 

The time now is Fri 19 Dec 2014, 23:16
All times are UTC - 4
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Trying to compile Midori
Moderators: deshlab, Flash, GuestToo, Ian, JohnMurga, Lobster
Post new topic   Reply to topic View previous topic :: View next topic
Page 1 of 1 [4 Posts]  
Author Message
jaapz


Joined: 25 May 2007
Posts: 71
Location: Assen, NL

PostPosted: Fri 17 Jul 2009, 16:25    Post subject:  Trying to compile Midori  

I'm trying to get more experience on compiling programs, and i thought the only way to get that experience is by compiling programs xD

Now, i'm trying to get midori (a webkit based browser) compiled, but haven't succeeded yet. It says it needs the program msgfmt, which apparently isnt installed. I found out its part of the gettext package, but when i install the gettext package that is in the repos, and i try to compile midori again, it still says it needs msgfmt.

And then when i try to compile gettext 0.17, it says i dont have gcc, while i have installed gcc via the petget package manager...

Im STUCK! Razz

EDIT: forgot to say, im using the latest upup Smile
Back to top
View user's profile Send private message Visit poster's website 
technosaurus


Joined: 18 May 2008
Posts: 4424

PostPosted: Fri 17 Jul 2009, 17:59    Post subject:  

you also likely need the DEV package (if not you can compile from source)
_________________
Web Programming - Pet Packaging 100 & 101
Back to top
View user's profile Send private message 
jaapz


Joined: 25 May 2007
Posts: 71
Location: Assen, NL

PostPosted: Sat 18 Jul 2009, 05:33    Post subject:  

I'm a bit further now, which gives me hope Razz
I installed the jaunty package for gettext, and the message about msgfmt doesnt show up anymore, but now it says i need gettext-devel. I am atm searching for that package.
Back to top
View user's profile Send private message Visit poster's website 
jaapz


Joined: 25 May 2007
Posts: 71
Location: Assen, NL

PostPosted: Sat 18 Jul 2009, 06:39    Post subject:  

Hmm now the installation stalls at "Checking for header locale.h" And it gives a traceback, but im not able to copy the traceback from urxvt...
Back to top
View user's profile Send private message Visit poster's website 
Display posts from previous:   Sort by:   
Page 1 of 1 [4 Posts]  
Post new topic   Reply to topic View previous topic :: View next topic
 Forum index » Advanced Topics » Additional Software (PETs, n' stuff) » Unsorted
Jump to:  

You cannot post new topics in this forum
You cannot reply to topics in this forum
You cannot edit your posts in this forum
You cannot delete your posts in this forum
You cannot vote in polls in this forum
You cannot attach files in this forum
You can download files in this forum


Powered by phpBB © 2001, 2005 phpBB Group
[ Time: 0.0423s ][ Queries: 11 (0.0035s) ][ GZIP on ]